global BaseDir D:\Dropbox\Research\RA\greg\yu_psid\bpp_psid9911
cd $BaseDir

clear
set more off
capture log close
*log using $BaseDir/estim_makeready.log,replace t

global boot ""
*global boot "bootstrap, reps(250): " // comment out this line to disable bootstrap

****************************************************
*** Baseline:
****************************************************

u data3, clear
// To get data3.dta, go through create1a - create1g.do for data cleaning

* Need at least three observation per household
gen cnttmp = 1
bysort person: egen ypresent = total(cnttmp)
drop if ypresent < 3
drop cnttmp ypresent

qui gen touse = 1
qui replace touse = touse*!(age<25|age>55)*(seo==0)
qui gen c = ndur - fstmp
qui replace c = . if c<0 | c==0
qui gen logc = ln(c)
qui gen income=(y-asset-ratio_ya*ftax)/price
qui gen logy=ln(income) 

qui ren *h2m_12_1x *h2m
qui ren h2mNW_12_1x h2mNW
qui gen h2m_liquid = Ph2m | Wh2m
qui ren Nh2m Nh2m_liquid


cap drop uc uy duc duy ivtrans
qui reg logy i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uy if e(sample), res
qui reg logc i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uc if e(sample), res

qui tsset person year, delta(2)
qui gen duc = D.uc
qui gen duy = D.uy
qui cap drop ivtrans 
qui gen ivtrans = F.duy

$boot ivreg duc (duy=ivtrans) if Ph2m // P-HtM
$boot ivreg duc (duy=ivtrans) if Wh2m // W-HtM
$boot ivreg duc (duy=ivtrans) if Nh2m_liquid // N-HtM
$boot ivreg duc (duy=ivtrans) if h2mNW //HtM-NW
$boot ivreg duc (duy=ivtrans) if h2mNW != 1 //N-HtM-NW

****************************************************
*** Pre-tax earnings:
****************************************************

u data3, clear
// To get data3.dta, go through create1a - create1g.do for data cleaning

* Need at least three observation per household
gen cnttmp = 1
bysort person: egen ypresent = total(cnttmp)
drop if ypresent < 3
drop cnttmp ypresent

qui gen touse = 1
qui replace touse = touse*!(age<25|age>55)*(seo==0)
qui gen c = ndur - fstmp
qui replace c = . if c<0 | c==0
qui gen logc = ln(c)
qui gen income=(y-trhw-troth-asset)/price
qui gen logy=ln(income) 

qui ren *h2m_12_1x *h2m
qui ren h2mNW_12_1x h2mNW
qui gen h2m_liquid = Ph2m | Wh2m
qui ren Nh2m Nh2m_liquid


cap drop uc uy duc duy ivtrans
qui reg logy i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uy if e(sample), res
qui reg logc i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uc if e(sample), res

qui tsset person year, delta(2)
qui gen duc = D.uc
qui gen duy = D.uy
qui cap drop ivtrans 
qui gen ivtrans = F.duy

$boot ivreg duc (duy=ivtrans) if Ph2m // P-HtM
$boot ivreg duc (duy=ivtrans) if Wh2m // W-HtM
$boot ivreg duc (duy=ivtrans) if Nh2m_liquid // N-HtM
$boot ivreg duc (duy=ivtrans) if h2mNW //HtM-NW
$boot ivreg duc (duy=ivtrans) if h2mNW != 1 //N-HtM-NW

****************************************************
*** Include food stamps:
****************************************************

u data3, clear
// To get data3.dta, go through create1a - create1g.do for data cleaning

* Need at least three observation per household
gen cnttmp = 1
bysort person: egen ypresent = total(cnttmp)
drop if ypresent < 3
drop cnttmp ypresent

qui gen touse = 1
qui replace touse = touse*!(age<25|age>55)*(seo==0)
qui gen c = ndur
qui replace c = . if c<0 | c==0
qui gen logc = ln(c)
qui gen income=(y-asset-ratio_ya*ftax)/price
qui gen logy=ln(income) 

qui ren *h2m_12_1x *h2m
qui ren h2mNW_12_1x h2mNW
qui gen h2m_liquid = Ph2m | Wh2m
qui ren Nh2m Nh2m_liquid


cap drop uc uy duc duy ivtrans
qui reg logy i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uy if e(sample), res
qui reg logc i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uc if e(sample), res

qui tsset person year, delta(2)
qui gen duc = D.uc
qui gen duy = D.uy
qui cap drop ivtrans 
qui gen ivtrans = F.duy

$boot ivreg duc (duy=ivtrans) if Ph2m // P-HtM
$boot ivreg duc (duy=ivtrans) if Wh2m // W-HtM
$boot ivreg duc (duy=ivtrans) if Nh2m_liquid // N-HtM
$boot ivreg duc (duy=ivtrans) if h2mNW //HtM-NW
$boot ivreg duc (duy=ivtrans) if h2mNW != 1 //N-HtM-NW

****************************************************
*** Cont. Married Households:
****************************************************

u data3, clear
// To get data3.dta, go through create1a - create1g.do for data cleaning

* Need at least three observation per household
gen cnttmp = 1
bysort person: egen ypresent = total(cnttmp)
drop if ypresent < 3
drop cnttmp ypresent

qui gen touse = 1
qui replace touse = touse*!(age<25|age>55)*(seo==0)*(contmarit==1)
qui gen c = ndur - fstmp
qui replace c = . if c<0 | c==0
qui gen logc = ln(c)
qui gen income=(y-asset-ratio_ya*ftax)/price
qui gen logy=ln(income) 

qui ren *h2m_12_1x *h2m
qui ren h2mNW_12_1x h2mNW
qui gen h2m_liquid = Ph2m | Wh2m
qui ren Nh2m Nh2m_liquid


cap drop uc uy duc duy ivtrans
qui reg logy i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uy if e(sample), res
qui reg logc i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uc if e(sample), res

qui tsset person year, delta(2)
qui gen duc = D.uc
qui gen duy = D.uy
qui cap drop ivtrans 
qui gen ivtrans = F.duy

$boot ivreg duc (duy=ivtrans) if Ph2m // P-HtM
$boot ivreg duc (duy=ivtrans) if Wh2m // W-HtM
$boot ivreg duc (duy=ivtrans) if Nh2m_liquid // N-HtM
$boot ivreg duc (duy=ivtrans) if h2mNW //HtM-NW
$boot ivreg duc (duy=ivtrans) if h2mNW != 1 //N-HtM-NW

****************************************************
*** Stable marital status: ragesel==3 & rh2mind ==3 & rmlhead ==0 & rstable ==1 & rcmarit==0 & rtotexp==2 & rincdef==8;
****************************************************

u data3, clear
// To get data3.dta, go through create1a - create1g.do for data cleaning

* Need at least three observation per household
gen cnttmp = 1
bysort person: egen ypresent = total(cnttmp)
drop if ypresent < 3
drop cnttmp ypresent

qui gen touse = 1
qui replace touse = touse*!(age<25|age>55)*(seo==0)*(instable!=1)
qui gen c = ndur - fstmp
qui replace c = . if c<0 | c==0
qui gen logc = ln(c)
qui gen income=(y-asset-ratio_ya*ftax)/price
qui gen logy=ln(income) 

qui ren *h2m_12_1x *h2m
qui ren h2mNW_12_1x h2mNW
qui gen h2m_liquid = Ph2m | Wh2m
qui ren Nh2m Nh2m_liquid


cap drop uc uy duc duy ivtrans
qui reg logy i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uy if e(sample), res
qui reg logc i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uc if e(sample), res

qui tsset person year, delta(2)
qui gen duc = D.uc
qui gen duy = D.uy
qui cap drop ivtrans 
qui gen ivtrans = F.duy

$boot ivreg duc (duy=ivtrans) if Ph2m // P-HtM
$boot ivreg duc (duy=ivtrans) if Wh2m // W-HtM
$boot ivreg duc (duy=ivtrans) if Nh2m_liquid // N-HtM
$boot ivreg duc (duy=ivtrans) if h2mNW //HtM-NW
$boot ivreg duc (duy=ivtrans) if h2mNW != 1 //N-HtM-NW

****************************************************
*** Households with male heads: ragesel==3 & rh2mind ==3 & rmlhead ==1 & rstable ==0 & rcmarit==0 & rtotexp==2 & rincdef==8;
****************************************************

u data3, clear
// To get data3.dta, go through create1a - create1g.do for data cleaning

* Need at least three observation per household
gen cnttmp = 1
bysort person: egen ypresent = total(cnttmp)
drop if ypresent < 3
drop cnttmp ypresent

qui gen touse = 1
qui replace touse = touse*!(age<25|age>55)*(seo==0)*(fmhead!=1)
qui gen c = ndur - fstmp
qui replace c = . if c<0 | c==0
qui gen logc = ln(c)
qui gen income=(y-asset-ratio_ya*ftax)/price
qui gen logy=ln(income) 

qui ren *h2m_12_1x *h2m
qui ren h2mNW_12_1x h2mNW
qui gen h2m_liquid = Ph2m | Wh2m
qui ren Nh2m Nh2m_liquid


cap drop uc uy duc duy ivtrans
qui reg logy i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uy if e(sample), res
qui reg logc i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uc if e(sample), res

qui tsset person year, delta(2)
qui gen duc = D.uc
qui gen duy = D.uy
qui cap drop ivtrans 
qui gen ivtrans = F.duy

$boot ivreg duc (duy=ivtrans) if Ph2m // P-HtM
$boot ivreg duc (duy=ivtrans) if Wh2m // W-HtM
$boot ivreg duc (duy=ivtrans) if Nh2m_liquid // N-HtM
$boot ivreg duc (duy=ivtrans) if h2mNW //HtM-NW
$boot ivreg duc (duy=ivtrans) if h2mNW != 1 //N-HtM-NW

****************************************************
*** Monthly income: ragesel==3 & rh2mind ==0 & rmlhead ==0 & rstable ==0 & rcmarit==0 & rtotexp==2 & rincdef==8;
****************************************************

u data3, clear
// To get data3.dta, go through create1a - create1g.do for data cleaning

* Need at least three observation per household
gen cnttmp = 1
bysort person: egen ypresent = total(cnttmp)
drop if ypresent < 3
drop cnttmp ypresent

qui gen touse = 1
qui replace touse = touse*!(age<25|age>55)*(seo==0)
qui gen c = ndur - fstmp
qui replace c = . if c<0 | c==0
qui gen logc = ln(c)
qui gen income=(y-asset-ratio_ya*ftax)/price
qui gen logy=ln(income) 

qui ren *h2m_24_1x *h2m
qui ren h2mNW_24_1x h2mNW
qui gen h2m_liquid = Ph2m | Wh2m
qui ren Nh2m Nh2m_liquid


cap drop uc uy duc duy ivtrans
qui reg logy i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uy if e(sample), res
qui reg logc i.year##(i.educ i.race i.empst i.region) i.yb i.fsize i.kids ///
	extra bigcity kidsout if touse
qui predict uc if e(sample), res

qui tsset person year, delta(2)
qui gen duc = D.uc
qui gen duy = D.uy
qui cap drop ivtrans 
qui gen ivtrans = F.duy

$boot ivreg duc (duy=ivtrans) if Ph2m // P-HtM
$boot ivreg duc (duy=ivtrans) if Wh2m // W-HtM
$boot ivreg duc (duy=ivtrans) if Nh2m_liquid // N-HtM
$boot ivreg duc (duy=ivtrans) if h2mNW //HtM-NW
$boot ivreg duc (duy=ivtrans) if h2mNW != 1 //N-HtM-NW
